<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/content_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_25292e">

    <RelativeLayout
        android:id="@+id/fl_live_view"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <include
        android:id="@+id/view_live_status"
        layout="@layout/item_live_room_status_layout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/fl_live_view"
        app:layout_constraintLeft_toLeftOf="@+id/fl_live_view"
        app:layout_constraintRight_toRightOf="@+id/fl_live_view"
        app:layout_constraintTop_toTopOf="@+id/fl_live_view" />

    <ImageView
        android:id="@+id/iv_switch_video_orientation"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="11dp"
        android:src="@drawable/icon_video_orientation_convert"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/fl_live_view"
        app:layout_constraintRight_toRightOf="@+id/fl_live_view" />

    <ImageView
        android:id="@+id/iv_switch_video_orientation_full"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:src="@drawable/icon_video_orientation_convert"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/fl_live_view"
        app:layout_constraintRight_toRightOf="@+id/fl_live_view"
        app:layout_constraintTop_toTopOf="@+id/fl_live_view" />

    <View
        android:id="@+id/statusbar_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/statusbar_view_height"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cs_header_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/statusbar_view">

        <View
            android:id="@+id/bg_avatar"
            android:layout_width="0dp"
            android:layout_height="38dp"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="2dp"
            android:background="@drawable/bg_gray_20dp_shape"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="@+id/tv_room_author_name"
            app:layout_constraintTop_toTopOf="parent" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_marginStart="2dp"
            app:civ_circle_background_color="@color/white"
            app:layout_constraintBottom_toBottomOf="@+id/bg_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/bg_avatar"
            app:layout_constraintTop_toTopOf="@+id/bg_avatar" />

        <TextView
            android:id="@+id/tv_room_author_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="9dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:paddingEnd="17dp"
            android:text=""
            android:textColor="@color/white"
            android:textSize="@dimen/sp_18"
            app:layout_constraintBottom_toBottomOf="@+id/bg_avatar"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/bg_avatar"
            tools:text="唐老唐老师唐老师师" />

        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="14dp"
            android:padding="5dp"
            android:src="@drawable/icon_close_gray"
            app:layout_constraintBottom_toBottomOf="@+id/bg_avatar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/bg_avatar" />

        <LinearLayout
            android:id="@+id/ll_member_num_bg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="15dp"
            android:background="@drawable/bg_gray_20dp_shape"
            android:gravity="center_vertical"
            android:paddingStart="10dp"
            android:paddingTop="5dp"
            android:paddingEnd="10dp"
            android:paddingBottom="5dp"
            app:layout_constraintBottom_toBottomOf="@+id/bg_avatar"
            app:layout_constraintRight_toLeftOf="@+id/iv_close"
            app:layout_constraintTop_toTopOf="@+id/bg_avatar">

            <ImageView
                android:id="@+id/iv_number_people"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_live_room_number_people" />

            <TextView
                android:id="@+id/tv_num_people"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:text="0人"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_14"
                tools:text="176人" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_like"
            android:layout_width="wrap_content"
            android:layout_height="22dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_gray_20dp_shape"
            android:orientation="horizontal"
            android:paddingStart="7dp"
            android:paddingEnd="7dp"
            app:layout_constraintLeft_toLeftOf="@+id/bg_avatar"
            app:layout_constraintTop_toBottomOf="@+id/bg_avatar">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:src="@drawable/icon_like_num" />

            <TextView
                android:id="@+id/tv_add_like_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:includeFontPadding="false"
                android:paddingStart="2dp"
                android:text="本场点赞0"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_12"
                tools:text="本场点赞1240000000" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/mic_container_guide_view"
        android:layout_width="1px"
        android:layout_height="1px"
        android:layout_marginTop="121dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cs_header_info" />

    <com.rong.io.live.widget.LiveRoomMicIconView
        android:id="@+id/ll_mic_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:layout_marginBottom="9dp"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        app:layout_constraintBottom_toTopOf="@+id/mic_container_guide_view"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cs_header_info" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_input"
        android:layout_width="0dp"
        android:layout_height="38dp"
        android:layout_marginStart="11dp"
        android:layout_marginEnd="11dp"
        android:layout_marginBottom="30dp"
        android:background="@drawable/bg_gray_20dp_shape"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:maxLines="10"
        android:paddingStart="16dp"
        android:text="@string/live_input_tips_str"
        android:textColor="@color/color_90ffffff"
        android:textColorHint="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/iv_shop_car" />

    <ImageView
        android:id="@+id/iv_chat_speak"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="11dp"
        android:src="@drawable/icon_live_room_chat_speak"
        app:layout_constraintBottom_toBottomOf="@+id/tv_input"
        app:layout_constraintRight_toRightOf="@+id/tv_input"
        app:layout_constraintTop_toTopOf="@+id/tv_input" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/view_shop_car_anim"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@+id/iv_shop_car"
        app:layout_constraintLeft_toLeftOf="@+id/iv_shop_car"
        app:layout_constraintRight_toRightOf="@+id/iv_shop_car"
        app:lottie_autoPlay="true"
        app:lottie_loop="true"
        app:lottie_rawRes="@raw/live_shop_car_anim" />


    <ImageView
        android:id="@+id/iv_shop_car"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="11dp"
        android:src="@drawable/icon_add_like"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="@+id/icon_add_like"
        app:layout_constraintRight_toLeftOf="@+id/iv_mic"
        app:layout_constraintTop_toTopOf="@+id/icon_add_like" />

    <ImageView
        android:id="@+id/icon_add_like"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="11dp"
        android:layout_marginBottom="30dp"
        android:src="@drawable/icon_add_like"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <ImageView
        android:id="@+id/iv_mic"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="11dp"
        android:src="@drawable/icon_mic_unconnect"
        app:layout_constraintBottom_toBottomOf="@+id/icon_add_like"
        app:layout_constraintRight_toLeftOf="@+id/icon_add_like"
        app:layout_constraintTop_toTopOf="@+id/icon_add_like" />

    <View
        android:visibility="invisible"
        android:id="@+id/view_center"
        android:layout_width="1px"
        android:layout_height="1px"
        android:layout_marginTop="50dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/fl_recycler_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="54dp"
        android:layout_marginBottom="10dp"
        android:paddingStart="11dp"
        android:paddingEnd="11dp"
        app:layout_constraintBottom_toTopOf="@+id/tv_input"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/fl_live_view">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_msg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </FrameLayout>

    <FrameLayout
        android:id="@+id/fl_join_barrage"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/shape_live_barrage_for_join_msg"
        android:paddingStart="10dp"
        android:paddingTop="3dp"
        android:paddingEnd="10dp"
        android:paddingBottom="3dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/fl_recycler_container"
        app:layout_constraintLeft_toLeftOf="parent">

        <TextView
            android:id="@+id/tv_join_barrage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_13"
            tools:text="新雷 进入直播间" />

    </FrameLayout>

    <FrameLayout
        android:id="@+id/fl_snap_up_barrage"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:background="@drawable/shape_live_barrage_for_snap_up_msg"
        android:paddingStart="10dp"
        android:layout_marginBottom="10dp"
        android:paddingTop="3dp"
        android:paddingEnd="10dp"
        android:paddingBottom="3dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/fl_recycler_container"
        app:layout_constraintLeft_toLeftOf="parent">

        <TextView
            android:id="@+id/tv_snap_up_barrage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/icon_live_barrage_buy_tag"
            android:drawablePadding="4dp"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_13"
            tools:text="张予锡 正在去购买" />

    </FrameLayout>

    <androidx.constraintlayout.widget.Group
        android:id="@+id/group_views"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="fl_recycler_container,tv_input,iv_chat_speak" />
</androidx.constraintlayout.widget.ConstraintLayout>